| Home | Libraries | People | FAQ | More

## Struct template on_codomain_model<Type, true, true>

boost::icl::map::on_codomain_model<Type, true, true>

## Synopsis

    // In header: <boost/icl/map.hpp>

    template<typename Type>
    struct on_codomain_model<Type, true, true> {
      // types
      typedef Type::inverse_codomain_intersect inverse_codomain_intersect;

      // public static functions
      static void subtract(Type &, typename Type::iterator,
                           const typename Type::codomain_type &);
    };

## Description

### `on_codomain_model` public static functions

1.     static void subtract(Type & object, typename Type::iterator it_,
                            const typename Type::codomain_type & co_value);